.text-button {
  display: grid;
  grid-template-columns: 1fr;
  align-items: start;
  margin-bottom: 2rem;
  grid-gap: var(--g-gap-s);

  & .headline {
    max-width: 520px;
    margin-bottom: 0;
  }

  & .font__button {
    justify-self: start;
  }
}

.grid__col.-w100 .frame-bg-grey .text-button {
  align-items: center;

  &:last-child {
    margin-bottom: 0;
  }
}

/* =============================================================================
   Media Queries
   ========================================================================== */
@media (min-width: 640px) {
  .text-button {
    grid-template-columns: 1fr auto;

    & .font__button {
      justify-self: end;
    }
  }
}